#!/usr/bin/perl

@extensions=( "cc", "c", "h", "pl", "tex" );
@descriptions=( "C++", "C", "Header", "Perl", "LaTeX");

my $arg= join " ", @ARGV;
my $i=0;
foreach $extension (@extensions) {
#	print "Finding: find $arg -name \\*.$extension";
    my @files=`find $arg -name \\*.$extension`;
    my @cfiles;
    foreach $file (@files) {
	chomp $file;
#	    print $file, "\n";
	push @cfiles, $file;
    }
    my $nfiles=$#cfiles+1;
    if ($nfiles) {
	my $wc="wc ". join " ", @cfiles;
	my @wcresult=`$wc`;
#	print "Result: $wcresult[$#wcresult]\n";
	@resultline=split /\s+/, $wcresult[$#wcresult];
	$lines= $resultline[1];
    } else {
	$lines=0;
    }
    print "$lines lines of $descriptions[$i] source in $nfiles files\n";
    $i++;
}
